App version not updating

#1

Hi @Expo team,

i am not able to upload my ipa built file into itunes connect because it always says that the current version (1.2.0) i am trying to upload already exists in my test flight. BUT, i changed the app version to 2.3.0 in the package.json and package-lock.json file. Is somebody familiar with this kind of issue?

Please i need help ASAP with this because i really need to update my app on the store.

Thanks.

1 Like

Build issue on store
#2

@Expo team please help with this. It is very very URGENT!!!

1 Like

#3

Hey there, it sounds like you want to use buildNumber in the ios section of app.json to distinguish different versions of your binary. (for Android the equivalent field is versionCode).

See the metadata section of our App Stores guide.

0 Likes

#4

Hi @ben,

i tried your solution and i worked only one time. The second time i tried (updating buildNumber and version), i still get the error message that the current version i am trying to upload already exists in my test flight.

I cleared the npm cache, the watchman and cleared a lot of stuff in my computer to fix this. This issue is VERY VERY URGENT AS MY CUSTOMERS ARE COMPLAINING BECAUSE MY APP IN THE APP STORE IS NOT WORKING.

PLEASE @ben, HELP !!!

0 Likes

#5

My suggestion would be to inspect the info.plist file in the Exponent.app file inside the IPA that you get back from the build server to ensure that the version and the build number have correctly been updated before uploading to iTunes connect. This way you can see whether it’s an issue with the build server not updating your build number, or something you’re doing wrong somehow.

0 Likes

#6

Hi @ben, @alexrussell,

thank you for the support, the problem is now solved. I updated the app without using the Apple testflight. exp build:ios did it.

0 Likes

closed #7

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.

0 Likes